[linux-dvb] can't build dvb-apps on ubuntu 7.10

Anssi Hannula anssi.hannula at gmail.com
Fri Jan 11 15:42:46 CET 2008

Gregor Fuis wrote:
> Hello,


> I have a problem building latest dvb-apps on Ubuntu 7.10.
> Here is error:
> dvb-apps-cacd165cb058$ make
> make -C lib all
> make[1]: Entering directory `/home/gregor/Net/dvb-apps-cacd165cb058/lib'
> make -C libdvbapi all
> make[2]: Entering directory 
> `/home/gregor/Net/dvb-apps-cacd165cb058/lib/libdvbapi'
> CC dvbaudio.o
> CC dvbca.o
> CC dvbdemux.o
> CC dvbfe.o
> CC dvbnet.o
> CC dvbvideo.o
> In file included from dvbvideo.c:28:
> /usr/include/linux/dvb/video.h:100: error: expected 
> specifier-qualifier-list before ‘__u32’

I already fixed this in current kernel headers. The ubuntu glibc package 
needs the fix backported.

The patch for original kernel header:

The patch for presanitized header:

Anssi Hannula

More information about the linux-dvb mailing list